Submit a PATCH request. The request body must contain a JSON object with:
A patch_operation ("ADD", "REMOVE" or "REPLACE")
An object that supports the PATCH operation.
See Patching Collections (above) for an overview.
See below in this topic for examples and restrictions.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
EXAMPLES
Publisher Bid Modifiers
{
"patch_operation": "ADD",
"publisher_bid_modifier": {
"values": [
{
"target": "site1",
"cpc_modification": 1.5
},
{
"target": "site2",
"cpc_modification": 0.9
}
]
}
}{
"patch_operation": "ADD",
"publisher_targeting": null,
"publisher_bid_modifier": {
"values": [
{
"target": "site1",
"cpc_modification": 1.5
},
{
"target": "site2",
"cpc_modification": 0.9
}
]
},
"publisher_bid_strategy_modifiers": null
}{
"patch_operation": "REMOVE",
"publisher_bid_modifier": {
"values": [{
"target": "site1",
"cpc_modification": null
},
{
"target": "site2",
"cpc_modification": null
}
]
}
}{
"patch_operation": "REMOVE",
"publisher_targeting": null,
"publisher_bid_modifier": {
"values": [
{
"target": "site1",
"cpc_modification": null
},
{
"target": "site2",
"cpc_modification": null
}
]
},
"publisher_bid_strategy_modifiers": null
}When removing a campaign bid modifier, omit the
cpc_modificationfield or set it tonull.
Publisher Bid Strategy Modifier
{
"patch_operation": "ADD",
"publisher_bid_strategy_modifiers": {
"values": [
{
"publisher": "site1",
"bid_strategy": "FIXED"
},
{
"publisher": "site2",
"bid_strategy": "FIXED"
}
]
}
}{
"patch_operation": "ADD",
"publisher_targeting": null,
"publisher_bid_modifier": null,
"publisher_bid_strategy_modifiers": {
"values": [
{
"publisher": "site1",
"bid_strategy": "FIXED"
},
{
"publisher": "site2",
"bid_strategy": "FIXED"
}
]
}
}
Bid Strategy Modifier
- The campaign must have a Bid Strategy of "OPTIMIZED_CONVERSIONS".
- When performing an "ADD" operation, you must set the
bid_strategyto "FIXED".- You can use the "ADD" and "REMOVE" operations only - "REPLACE" is not supported.
Error Responses
{
"http_status": 400,
"message": "campaign 1234 has already bid strategy per publisher site1",
"offending_field": "publisher_bid_strategy_modifiers.values.publisher"
}{
"http_status": 400,
"message": "campaign 1234 has no bid strategy per publisher site1",
"offending_field": "publisher_bid_strategy_modifiers.values.publisher"
}
400 Bad Request
- Attempting to ADD a modifier for a given site - after a modifier was already added - results in a 400 Bad Request.
- Similarly, attempting to REMOVE a modifier for a given site - after it was already removed - results in a 400 Bad Request.
- In general: any field value that is not valid within the context of the given site, collection and operation, will result in a 400 Bad Request.
Bid Modifier AND Strategy Bid Modifier
In principle, you can pass more than 1 collection type within a single PATCH request - provided that the operation is supported by all collection types. Although such a flow is atypical, an example follows:
{
"patch_operation": "ADD",
"publisher_bid_modifier": {
"values": [
{
"target": "site1",
"cpc_modification": 1.5
},
{
"target": "site2",
"cpc_modification": 0.9
}
]
},
"publisher_bid_strategy_modifiers": {
"values": [
{
"publisher": "site3",
"bid_strategy": "FIXED"
}
]
}
}{
"patch_operation": "ADD",
"publisher_targeting": null,
"publisher_bid_modifier": {
"values": [
{
"target": "site1",
"cpc_modification": 1.5
},
{
"target": "site2",
"cpc_modification": 0.9
}
]
},
"publisher_bid_strategy_modifiers": {
"values": [
{
"publisher": "site3",
"bid_strategy": "FIXED"
}
]
}
}Publisher Targeting (Excluded Publishers)
{
"patch_operation": "REMOVE",
"publisher_targeting": {
"publishers": [
"taboola-demo-publisher"
]
}
}{
"patch_operation": "REMOVE",
"publisher_targeting": {
"publishers": [
"taboola-demo-publisher"
]
}
}Rate limit
Rate limitTier 2. Shares one budget with the other campaign endpoints. Listing, duplicating and bulk-updating campaigns each have their own.
See Rate limits for the request allowance each tier carries.
